Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86177 - rpmdb: unable to join the environment
Summary: rpmdb: unable to join the environment
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 23:19 UTC by Ted Kaczmarek
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-19 20:30:36 UTC


Attachments (Terms of Use)

Description Ted Kaczmarek 2003-03-15 23:19:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.8 (X11; Linux i686; U;) Gecko/20030212

Description of problem:
Rpm will no longer do anything as root user.

[root@nitremb22 root]# rpm -q rpm
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (
11)
error: cannot open Packages database in /var/lib/rpm

The above error happens when quearying or trying to install. As a non-root user
the queries will work. Try to trick it by using a sudo account but no luck.

Version-Release number of selected component (if applicable):
rpm-4.2-0.68

How reproducible:
Always

Steps to Reproduce:
1.Upgrade rpm to 4.2-0.68
2.Try to do a query or install as root
3.rpm -Uvh dia-0.91-1.i686.rpm
    

Actual Results:  rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages database in /var/lib/rpm


Expected Results:  Package installs.

Additional info:

This is on a Phoebe 8.0.93
redhat-rpm-config-8.0.18-1
rpm-build-4.2-0.68
rpm-python-4.2-0.68
rpmdb-redhat-8.0.93-0.20030121
rpm-devel-4.2-0.68
rpm-4.2-0.68
glibc-2.3.1-38
kernel-2.4.20-2.24

Comment 1 Jeff Johnson 2003-03-19 20:30:36 UTC
Try
    rm -f /var/lib/rpm/__db*

If that doesn't fix, then put in /etc/rpm/macros (create if necessary)
    %__dbi_cdb   create private cdb mpool mp_mmapsize=16Mb mp_size=1Mb
(Note: "private" is what's needed.)

If "private" fixes, think seriously about upgrading to a NPTL aware
kernel/glibc. Alternatively, downgrade to a version of rpm that
is built w/o NPTL.

If "private" doesn't fix, reopen this bug, please.

Comment 2 Pavel 2003-05-29 11:44:21 UTC
I have the same problem when running with rawhide kernel (2.4.20-20.1.2005.nptl)
and it happens only if rpm is run as root, and works fine when run as regular
user. I upgraded the redhat 9 system to all latest rawhide packages. Also
running 'LD_ASSUME_KERNEL=2.2.5 rpm ...' fixes this for root.


Note You need to log in before you can comment on or make changes to this bug.